/**
 * @typedef BarGraphData
 * @property {number} value
 * @property {string} label
 * @property {string} [href]
 * @property {string} [color] Color will be assigned if not passed
 */
/**
 * @typedef BarGraphProps
 * @property {BarGraphData[]} data
 * @property {boolean} [showTotal=true] Default is `true`
 * @property {boolean} [sort=true] Default is `true`
 */
/**
 * Card
 *
 * @type {import('preact').FunctionComponent}
 * @param {BarGraphProps} props
 */
export const BarGraph: import('preact').FunctionComponent;
export type BarGraphData = {
    value: number;
    label: string;
    href?: string;
    /**
     * Color will be assigned if not passed
     */
    color?: string;
};
export type BarGraphProps = {
    data: BarGraphData[];
    /**
     * Default is `true`
     */
    showTotal?: boolean;
    /**
     * Default is `true`
     */
    sort?: boolean;
};
