export function extractOrgId(fullUrl: string): string;
export namespace fhirResourceBundle {
    let name: string;
    function getReducer(): (state: {}, { type, payload }: {
        type: any;
        payload: any;
    }) => any;
    function init(store: any): void;
    function selectFhirResourceCacheRaw(state: any): any;
    function selectPatientsRaw(state: any): any;
    function selectLocationsRaw(state: any): any;
    function selectPractitionersRaw(state: any): any;
    function selectAppointmentsRaw(state: any): any;
    function selectCompositionsRaw(state: any): any;
    let selectFhirHasResources: any;
    function doClearFhirCache(): {
        type: string;
    };
    function doClearFhirModelsNotInOrg(orgId: any): {
        type: string;
        payload: any;
    };
    function doRemoveFhirResource({ orgId, id, resourceType }: {
        orgId: any;
        id: any;
        resourceType: any;
    }): {
        type: string;
        payload: {
            orgId: any;
            id: any;
            resourceType: any;
        };
    };
    function doReceiveSingleFhirResource(resource: any, orgId: any): {
        type: string;
        payload: {
            orgId: any;
            resources: {
                [x: number]: any;
            };
        };
    };
    function doReceiveFhirResponse(...fhirResponses: any[]): ({ dispatch }: {
        dispatch: any;
    }) => void;
    function doFhirFetch(...args: any[]): ({ fhirFetch }: {
        fhirFetch: any;
    }) => any;
    function doFetchFhirResource(fhirUrl: any, orgId: any): ({ dispatch, fhirFetch, store }: {
        dispatch: any;
        fhirFetch: any;
        store: any;
    }) => any;
    function doFetchPdfShareInfo(pdfId: any, orgId: any): ({ gqlFetch }: {
        gqlFetch: any;
    }) => any;
    function doCreateChartForAppointment(appointmentId: any, orgId: any): ({ gqlFetch }: {
        gqlFetch: any;
    }) => any;
    function doFetchLocationIdsForLocation(locationId: any): ({ fhirFetch }: {
        fhirFetch: any;
    }) => any;
    function doFetchUpcomingAndIncompleteAppointments({ orgId, practitionerId, providerId, locationId, includeComposition, }: {
        orgId: any;
        practitionerId: any;
        providerId: any;
        locationId: any;
        includeComposition?: boolean;
    }): ({ store }: {
        store: any;
    }) => Promise<[any, any, any]>;
    function doFetchAppointments({ sort, orgId, includeActors, includeComposition, compositionIncomplete, practitionerId, gt, lt, missingDate, count, status, locationId, locationIds, incomingResponseArrayHandler, waitForAll, fetchAll, returnMeta, }: {
        sort: any;
        orgId: any;
        includeActors?: boolean;
        includeComposition?: boolean;
        compositionIncomplete: any;
        practitionerId: any;
        gt: any;
        lt: any;
        missingDate?: boolean;
        count: any;
        status: any;
        locationId: any;
        locationIds: any;
        incomingResponseArrayHandler: any;
        waitForAll?: boolean;
        fetchAll?: boolean;
        returnMeta?: boolean;
    }): ({ fhirFetch, store }: {
        fhirFetch: any;
        store: any;
    }) => Promise<any>;
}
export type OperationStatus = 'delete' | 'update' | 'load' | 'deleted';
export type ResourceEntry = {
    resource: any;
    activeOperation: OperationStatus;
    orgId: string;
};
