export const sessionResponseSnippet: string;
export function getSessionBundle(opts?: GetSessionBundleOptions): ReduxBundlerBundle;
export type GetSessionBundleOptions = {
    /**
     * Time in milliseconds
     * after which to renew the token. Defaults to three minutes. Default is `180000`
     */
    renewSessionWhenOlderThan?: number;
    /**
     * Time in milliseconds after
     * which to try again if we failed to fetchDefault is 30 seconds `30000`.
     * Default is `30000`
     */
    retryFailedFetchAfter?: number;
    /**
     * If any of these return a
     * truthy value, they will keep the session renewing.
     */
    selectorsThatDetermineActivity: string[];
    activeOrgIdSelectorName: string;
    /**
     * Default is `false`
     */
    persist?: boolean;
};
