export function getUserInactiveBundle({ inactiveThreshold, updateActionType, name, events, }?: UserInactiveBundleOptions): ReduxBundlerBundle;
export type UserInactiveBundleOptions = {
    /**
     * Time in milliseconds after which
     * to consider the user inactive. Default is `30000`
     */
    inactiveThreshold?: number;
    /**
     * Action `type`
     * to use when updating this. Default is `'USER_INACTIVE_UPDATED'`
     */
    updateActionType?: string;
    /**
     * Name of bundle. Default is `'userInactive'`
     */
    name?: string;
    /**
     * The window
     * events to listen to. Default is `['mousemove', 'click', 'keydown']`
     */
    events?: string[];
};
