/**
 * @typedef IconProps
 * @property {string} icon
 * @property {string | number} [size=24] Default is `24`
 * @property {string} [className]
 * @property {number} [speed] Where 0 is stopped 1 is normal speed.
 * @property {any} [style]
 */
/**
 * Icon
 *
 * @type {import('preact').FunctionComponent<IconProps>}
 */
export const Icon: import('preact').FunctionComponent<IconProps>;
/**
 * @typedef CircleIconProps
 * @property {string} icon
 * @property {string | number} [size=24] Default is `24`
 * @property {'blue' | 'yellow' | 'green' | 'gray' | 'red'} color
 * @property {number} [speed] Where 0 is stopped 1 is normal speed.
 */
/**
 * CircledIcon
 *
 * @type {import('preact').FunctionComponent}
 * @param {CircleIconProps} props
 */
export const CircledIcon: import('preact').FunctionComponent;
export type IconProps = {
    icon: string;
    /**
     * Default is `24`
     */
    size?: string | number;
    className?: string;
    /**
     * Where 0 is stopped 1 is normal speed.
     */
    speed?: number;
    style?: any;
};
export type CircleIconProps = {
    icon: string;
    /**
     * Default is `24`
     */
    size?: string | number;
    color: 'blue' | 'yellow' | 'green' | 'gray' | 'red';
    /**
     * Where 0 is stopped 1 is normal speed.
     */
    speed?: number;
};
